package com.yd.dal.mapper.user;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.yd.dal.entity.user.AclUser;

public interface UserMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclUser record);

    int insertSelective(AclUser record);

    AclUser selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclUser record);

    int updateByPrimaryKey(AclUser record);
    
    List<AclUser> findByIds(@Param("userIdList") List<Long> userIdList);

    String selectNamesByMobileNos(@Param("list")List<String> mobileNoList);

}